org.springframework.format.annotation

## Enum NumberFormat.Style

- java.lang.Object
- - java.lang.Enum<NumberFormat.Style>
  - - org.springframework.format.annotation.NumberFormat.Style

All Implemented Interfaces:
  Serializable, Comparable<NumberFormat.Style>

Enclosing class:
  NumberFormat

    public static enum NumberFormat.Style
    extends Enum<NumberFormat.Style>

Common number format styles.

Since:
  3.0
Author:
  Keith Donald

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CURRENCY` The currency format for the current locale.
`NUMBER` The general-purpose number format for the current locale.
`PERCENT` The percent format for the current locale.

### Method Summary

Methods
`static NumberFormat.Style` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NumberFormat.Style[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NUMBER

    public static final NumberFormat.Style NUMBER

The general-purpose number format for the current locale.

#### CURRENCY

    public static final NumberFormat.Style CURRENCY

The currency format for the current locale.

#### PERCENT

    public static final NumberFormat.Style PERCENT

The percent format for the current locale.

### Method Detail

#### values

    public static NumberFormat.Style[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (NumberFormat.Style c : NumberFormat.Style.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static NumberFormat.Style valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null